Package: org.gradle.api.artifacts

## [Java] Interface SelfResolvingDependency

- org.gradle.api.artifacts.Dependency

- All Superinterfaces:
    Buildable, Dependency

  A `SelfResolvingDependency` is a Dependency which is able to resolve itself, independent of a repository.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Dependency` | `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Set<File>` | `resolve()` Resolves this dependency.
    `Set<File>` | `resolve(boolean transitive)` Resolves this dependency by specifying the transitive mode.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Buildable` | `getBuildDependencies`
    `interface Dependency` | `contentEquals, copy, getGroup, getName, getVersion`

- - ### Method Detail

    - #### public Set<File> resolve()

      Resolves this dependency. A ProjectDependency is resolved with transitive equals true by this method.

      Returns:
        The files which make up this dependency.
      See Also:
        resolve(boolean)

    - #### public Set<File> resolve(boolean transitive)

      Resolves this dependency by specifying the transitive mode. This mode has only an effect if the self resolved dependency is of type ProjectDependency. In this case, if transitive is `false`, only the self resolving dependencies of the project configuration which are no project dependencies are resolved. If transitive is set to true, other project dependencies belonging to the configuration of the resolved project dependency are resolved recursively.

      Parameters:
        `transitive` - Whether to resolve transitively. Has only an effect on a ProjectDependency
      Returns:
        The files which make up this dependency.